#
# SPEC file for wmmnt
#
%define ver   3.1
%define rel    1
%define _prefix /usr
%define execprefix /usr/X11R6
%define datadir %{_prefix}/share


Summary: A Window Maker dock app which simplifies managing mountable devices
Name: mountapp
Version: %ver
Release: %rel
Copyright: GPL
Group:  X11/Utilities
BuildRoot: /tmp/mountapp-%ver
Source: http://osdn.dl.sourceforge.net/sourceforge/mountapp/mountapp-%ver.tar.gz
URL: http://mountapp.sourceforge.net
Packager: Steve Borho <steve@borho.org>

%description
This is a Window Maker dock app which allows you to browse all your mount
points and to mount/unmount devices in a simple point and click manner.

%changelog

* Sun Feb 18 2007 Gilbert Ashley <amigo@ibilio.org>

-Changed program name to wmmnt. Several patches were applied to the mount.app
sources to accomplish this. I started with mount.app-3.0 and applied the debian
patch, then applied a patch with changes from the author (3.0 to 3.1), a small
patch to fix the DocKApp CLASS. The I applied a patch from Hadess for wmmnt-2.5
(Mon May 24 1999 Hadess <hadess@writeme.com>) which converts the display style
significantly and includes quite a few icon themes.
The I changed all the paths and config files to chaneg the name. It seemed best
to change the name to avoid any conflicts with already installed versions.

* Fri Dec 06 2002 Steve Borho <steve@borho.org>

-Included patches to allow mount.app to work with the latest Window
Maker releases.

* Sun Jan 01 2000 Steve Borho <steve@borho.org>

-Included patch from Erico Freitas that fixes support for large paritions.

* Tue Jul 20 1999 Steve Borho <steve@borho.org>

-Fixed support for GTK+-1.2, and included patch from Thomas Schultz for
small devices.

* Mon Jan 11 1999 Paul Johnson <pauljohn@ukans.edu>

-Added Buildroot to keep build out of /usr/X11R6 directory, allow nonroot to
rebuild.

%prep

%setup

%build
./configure --prefix=%{_prefix} --exec-prefix=%{execprefix}  --datadir=%{datadir}
make

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} exec-prefix=$RPM_BUILD_ROOT%{execprefix} bindir=$RPM_BUILD_ROOT/usr/X11R6/bin datadir=$RPM_BUILD_ROOT%{datadir} install-strip
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}

%doc TODO README INSTALL THANKS AUTHORS COPYING NEWS ChangeLog README.smb WMMNT
